org.wildfly.swarm.config.logging

## Class LogFile<T extends LogFile<T>>

- java.lang.Object
- - org.wildfly.swarm.config.logging.LogFile<T>

-     public class LogFile<T extends LogFile<T>>
      extends Object

  Log files that are available to be read.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogFile(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Long` | `fileSize()` The size of the log file in bytes.
    `T` | `fileSize(Long value)` The size of the log file in bytes.
    `String` | `getKey()`
    `Long` | `lastModifiedTime()` The date, in milliseconds, the file was last modified.
    `T` | `lastModifiedTime(Long value)` The date, in milliseconds, the file was last modified.
    `String` | `lastModifiedTimestamp()` The date, in ISO 8601 format, the file was last modified.
    `T` | `lastModifiedTimestamp(String value)` The date, in ISO 8601 format, the file was last modified.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `stream()` Provides the server log as a response attachment.
    `T` | `stream(String value)` Provides the server log as a response attachment.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogFile

          public LogFile(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### fileSize

          public Long fileSize()

      The size of the log file in bytes.

    - #### fileSize

          public T fileSize(Long value)

      The size of the log file in bytes.

    - #### lastModifiedTime

          public Long lastModifiedTime()

      The date, in milliseconds, the file was last modified.

    - #### lastModifiedTime

          public T lastModifiedTime(Long value)

      The date, in milliseconds, the file was last modified.

    - #### lastModifiedTimestamp

          public String lastModifiedTimestamp()

      The date, in ISO 8601 format, the file was last modified.

    - #### lastModifiedTimestamp

          public T lastModifiedTimestamp(String value)

      The date, in ISO 8601 format, the file was last modified.

    - #### stream

          public String stream()

      Provides the server log as a response attachment. The response result value is the unique id of the attachment.

    - #### stream

          public T stream(String value)

      Provides the server log as a response attachment. The response result value is the unique id of the attachment.

Copyright © 2017 JBoss by Red Hat. All rights reserved.